<?php
require_once "connect.php";
require_once "inc/usuario.php";
//$id_usuario = 0;
$user = getLoggedUser();
$id_usuario = $user['id'];

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}

// dados do post
if(isset($_POST['id_vend'])){
    $id 			= $_POST['id_vend'];
}

// dados comuns do post
$ds_nome= trim($_POST['ds_nome']);
$ds_fantasia = trim($_POST['ds_fantasia']);
$st_ativo		= 1;

// inicialização de variaveis
$id_cep = "";
$ds_endereco = "";
$ds_bairro = "";
$id_municipio = "";
$ds_uf  = "";
$ds_ddd = "";
$ds_telefone = "";
$ds_celular = "";
$id_operadora = "";
$ds_cnpj_cpf = "";
$ds_ie = "";
$ds_im = "";
$ds_email = "";
$ds_homepage = "";
$id_usuario_vendedor = "";
$id_supervisor = "";
$id_gerente = "";
$id_banco = "";
$id_regiao = "";
$vl_comissao = 0;
$nr_perc_pgto_emissao = 0;
$nr_perc_pgto_baixa = 0;

// dados da adição rápida
if(!isset($_POST['helper'])){
  // $id_cep = trim($_POST['id_cep']);
  $ds_endereco = trim($_POST['ds_endereco']);
  $ds_bairro = trim($_POST['ds_bairro']);
  $id_municipio = trim($_POST['id_municipio']);
  $ds_ddd = trim($_POST['ds_ddd']);
  $ds_telefone = trim($_POST['ds_telefone']);
  $ds_celular = trim($_POST['ds_celular']);
  $id_operadora = trim($_POST['id_operadora']);
  $ds_cnpj_cpf = trim($_POST['ds_cnpj_cpf']);
  $ds_ie = trim($_POST['ds_ie']);
  $ds_im = trim($_POST['ds_im']);
  $ds_email = trim($_POST['ds_email']);
  $ds_homepage = trim($_POST['ds_homepage']);
  $id_usuario_vendedor = trim($_POST['id_usuario_vendedor']);
  $id_supervisor = trim($_POST['id_supervisor']);
  $id_gerente = trim($_POST['id_gerente']);
  $id_banco = trim($_POST['id_banco']);
  $id_regiao = trim($_POST['id_regiao']);
  if(!empty($_POST['vl_comissao'])){
    $vl_comissao = trim($_POST['vl_comissao']);
  }
  if(!empty($_POST['nr_perc_pgto_emissao'])){
    $nr_perc_pgto_emissao = trim($_POST['nr_perc_pgto_emissao']);
    echo $_POST['nr_perc_pgto_emissao']; ;
  }
  if(!empty($_POST['nr_perc_pgto_baixa'])){
    $nr_perc_pgto_baixa = trim($_POST['nr_perc_pgto_baixa']);
  }
}


$arquivo = ''; // trim($_POST['ds_logo']);

$dir = 'img/fotos/';
$dir_en = 'img/en/';
$prefix = ''; // '../';

if (!empty($_FILES['ds_foto']['name'])) {
    $caminho = $prefix . $dir;
    
    $extensao = pathinfo($_FILES['ds_foto']['name']);
    $extensao = ".".$extensao['extension'];
    $imagem = time().uniqid(md5()).$extensao;
    
    $arquivo = $caminho . $imagem;    
    
    if(move_uploaded_file($_FILES['ds_foto']['tmp_name'], $arquivo)){
        if(isset($_POST['ds_foto_atual'])){
            unlink($_POST['ds_foto_atual']);
        }
    }
    $ds_foto = $dir . $_FILES['ds_foto']['name'];
    //$ds_img_site1 = $ds_arquivo;
    //$sql .= ', ds_arquivo = ?';
    //$campos[] = $ds_arquivo;
    echo '';
}else{
    if(isset($_POST['ds_foto_atual'])){
        $arquivo = $_POST['ds_foto_atual'];
    }
}

/* limpa campos antes da execução
$nr_cpf = preg_replace("/[^0-9]/", "", $nr_cpf);
$nr_cep = preg_replace("/[^0-9]/", "", $nr_cep);
$nr_residencia = preg_replace("/[^0-9]/", "", $nr_residencia);

IF($nr_residencia==""){$nr_residencia="null";}
*/
// monta sql com os campos
if(isset($_POST['editar'])) {
  $sql = "update erpc_vendedores set 
   ds_nome='$ds_nome'
  ,ds_fantasia='$ds_fantasia'
  ,ds_endereco='$ds_endereco'
  ,ds_bairro='$ds_bairro'
  ,id_municipio='$id_municipio'
  ,ds_ddd='$ds_ddd'
  ,ds_telefone='$ds_telefone'
  ,ds_celular='$ds_celular'
  ,id_operadora='$id_operadora'
  ,ds_cnpj_cpf='$ds_cnpj_cpf'
  ,ds_ie='$ds_ie'
  ,ds_im='$ds_im'
  ,ds_email='$ds_email'
  ,ds_homepage='$ds_homepage'
  ,id_usuario_vendedor='$id_usuario_vendedor'
  ,id_supervisor='$id_supervisor'
  ,id_gerente='$id_gerente'
  ,id_banco='$id_banco'
  ,id_regiao='$id_regiao'
  ,vl_comissao='$vl_comissao'
  ,nr_perc_pgto_emissao='$nr_perc_pgto_emissao'
  ,nr_perc_pgto_baixa='$nr_perc_pgto_baixa'
  ,ds_foto='$arquivo'
  , dh_alteracao=now()";
  $sql .= " where id = $id";
}else
	if(isset($_POST['excluir'])) {
		$sql  = "update erpc_vendedores set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
		$sql .= " where id = $id";
 }else
	if(isset($_POST['adicionar'])) {
    if(isset($_POST['helper'])){
      $sql = "insert into erpc_vendedores(ds_nome, ds_fantasia,st_ativo, id_usuario)values('$ds_nome','$ds_fantasia',$st_ativo,$id_usuario)";
    }else {
      $sql = "insert into erpc_vendedores(
       ds_nome
      ,ds_fantasia
      ,ds_endereco
      ,ds_bairro
      ,id_municipio
      ,ds_ddd
      ,ds_telefone
      ,ds_celular
      ,id_operadora
      ,ds_cnpj_cpf
      ,ds_ie
      ,ds_im
      ,ds_email
      ,ds_homepage
      ,id_usuario_vendedor
      ,id_supervisor
      ,id_gerente
      ,id_banco
      ,id_regiao
      ,vl_comissao
      ,nr_perc_pgto_emissao
      ,nr_perc_pgto_baixa
      ,st_ativo
      ,id_usuario
      ,ds_foto)";

  		$sql .="values(
       '$ds_nome'
      ,'$ds_fantasia'
      ,'$ds_endereco'
      ,'$ds_bairro'
      ,'$id_municipio'
      ,'$ds_ddd'
      ,'$ds_telefone'
      ,'$ds_celular'
      ,'$id_operadora'
      ,'$ds_cnpj_cpf'
      ,'$ds_ie'
      ,'$ds_im'
      ,'$ds_email'
      ,'$ds_homepage'
      ,'$id_usuario_vendedor'
      ,'$id_supervisor'
      ,'$id_gerente'
      ,'$id_banco'
      ,'$id_regiao'
      ,'$vl_comissao'
      ,'$nr_perc_pgto_emissao'
      ,'$nr_perc_pgto_baixa'
      , $st_ativo
  	  , $id_usuario
  	  , '$ds_foto')";
    }
}

// executa sql
if($sql!=""){
	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
	mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

  echo $sql;
  header("Location:erpc_vendedores_list.php");
?>
